Subject: [rddp] WG Last Call *Concluded*: Applicability, SCTP Adaptation, MPA

From: [email-masked]
Date: Wed, 6 Apr 2005 20:33:44 -0400

I have now completed my review of these drafts.  I have a bunch
of editorial comments that will be sent to the authors, but here
are the technical ones:

-- draft-ietf-rddp-mpa-02.txt

p.11: "An implementation may accept out of order segments, SACK them
[RFC2018], and pass them to DDP when the reception of the segments
needed to fill in the gaps arrive."  This sentence appears to be wrong -
a SACK'ed segment should be eligible for immediate placement without
waiting for gaps to fill.  I suggest clarifying text to distinguish
placement from delivery, as it's ambiguous which of these "pass them"
was intended to mean.

p. 24: "In certain rare situations, the EMSS may shrink to very small
sizes.  If this occurs, the MPA on TCP sender MUST NOT shrink the MULPDU
below 128 octets and is not required to follow the segmentation rules in
Section 5.3 MPA on TCP Sender Segmentation on page 22."  "very small
sizes" needs to be explicitly specified.  "not required" should be UPPER
CASE.

-- draft-ietf-rddp-applicability-02.txt

No technical comments.

-- draft-ietf-rddp-sctp-01.txt

Section 2.1 - Explain where the type value of 0xC006 comes from.

Section 9 - Tell IANA which registries these values go in.

The WG Last Call on these drafts is now concluded.  I believe that my
comments and Hemal's can be addressed without another WG Last Call.

Draft authors should prepare new versions of the drafts that address
these comments - please double-check with the commenters (Hemal and
myself) that the comments have been successfully addressed.  These
versions of the draft also need to be checked against the ID Checklist
on the IETF web site (e.g., the RDDP SCTP draft currently has one
too many authors).  I will work with our ADs to resolve the issue
of whether MPA is to become an informational vs. standards track RFC
when this next revision of the MPA draft is available.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Tuesday, March 15, 2005 6:28 PM
> To: [email-masked]
> Subject: [rddp] WG Last Call: Applicability, SCTP Adaptation, MPA
> Importance: High
> 
> The previous WG Last Call went so well that it's time
> to do it again ... so, I hereby announce the RDDP Working
> Group Last Call on the following three drafts:
> 
> Applicability of Remote Direct Memory Access Protocol
>    (RDMA) and Direct Data Placement (DDP)
> 	(draft-ietf-rddp-applicability-02.txt)
> Stream Control Transmission Protocol (SCTP) Remote Direct
>    Memory Access (RDMA) Direct Data Placement (DDP)
>    Adaptation
> 	(draft-ietf-rddp-sctp-01.txt)
> Marker PDU Aligned Framing for TCP Specification 
> 	(draft-ietf-rddp-mpa-02.txt)
> 
> This WG Last Call will run until 11:59pm Eastern Time (US)
> on Monday, April 4th (I was thinking about having it end
> on April 1st [April Fools Day] and decided to pass on that
> opportunity).  The SCTP Adaptation draft is intended to
> become a standards track RFC, the Applicability draft is
> intended to become an informational RFC, and whether the
> MPA draft is to become standards track vs. informational
> will be determined after the conclusion of this WG Last Call.
> 
> Technical comments need to be posted to this mailing list.
> Editorial comments may be sent directly to the primary
> draft authors:
> 
> - Applicability: Caitlin Bestler <cait -at- asomi.com>
> - SCTP Adaptation: Randall R. Stewart <rrs -at- cisco.com> AND
> 		Caitlin Bestler <cait -at- asomi.com>
> - RDMAP: Paul R. Culley <paul.culley -at- hp.com>
> 
> Please copy me (as WG chair - David Black <black_david -at-
> emc.com>) on any editorial comments, just in case something
> initially thought to be editorial turns out to have technical
> content.  The intent is to resolve WG Last Call issues on
> the mailing list, but an RDDP WG meeting in Paris is a
> possibility if it is needed to resolve issues.
> 
> There are other drafts linked to the WG's web page:
> 
> http://www.ietf.org/html.charters/rddp-charter.html
> 
> that may be of interest or relevance in reviewing the three
> drafts for this WG Last Call.
> 
> Many thanks to all whose hard work has gotten us this far,
> --David (RDDP WG chair)
> 
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 
> _______________________________________________
> rddp mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rddp
> 

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp